unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, rxdbgrid, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ComCtrls, db;

type

  { TForm1 }

  TForm1 = class(TForm)
    CheckBox1: TCheckBox;
    PageControl1: TPageControl;
    RxDBGrid1: TRxDBGrid;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    procedure CheckBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    procedure CheckGrid(Sender: TObject);
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

const
  IndWidth: Integer = 12;//ширина индикатора

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var i, l: Integer;
begin
  l:= (RxDBGrid1.ClientWidth - IndWidth) div  RxDBGrid1.Columns.Count;//ширина колонки
  for i := 0 to Pred(RxDBGrid1.Columns.Count) do
    RxDBGrid1.Columns.Items[i].Width:= l;

  CheckBox1Click(Sender);

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  RxDBGrid1.Enabled:= CheckBox1.Checked;
  CheckGrid(Sender);
end;

procedure TForm1.CheckGrid(Sender: TObject);
var i,l: integer;
begin
  l:= (RxDBGrid1.ClientWidth - IndWidth) div  RxDBGrid1.Columns.Count;//ширина колонки
  if RxDBGrid1.Enabled
    then
      begin
        for i := 0 to Pred(RxDBGrid1.Columns.Count) do
          RxDBGrid1.Columns.Items[i].Width:= l + 10;
        RxDBGrid1.TitleFont.Color:= clDefault;
        RxDBGrid1.ScrollBars:= ssAutoBoth;
      end
    else
      begin
        for i := 0 to Pred(RxDBGrid1.Columns.Count) do
          RxDBGrid1.Columns.Items[i].Width:= l;

        RxDBGrid1.TitleFont.Color:= clGrayText;
        RxDBGrid1.ScrollBars:= ssNone;
      end;
end;

end.

